curl --request GET \
--url https://api.gotohuman.com/reviews/123456abcdef \
--header 'x-api-key: YOUR_API_KEY'
{
"accountId": "abFMvLv4HafQymWxKDAov",
"reviewId": "123456abcdef",
"agentId": "agent123456abcdef",
"sessionId": "session789abcdef",
"formId": "123456abcdef",
"formName": "Review AI Draft",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 42000,
"stage": "proposal",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
},
"config": {
"fields": {
"stageSelect": {
"options": [
{ "id": "proposal", "label": "Proposal" },
{ "id": "negotiation", "label": "Negotiation" },
{ "id": "won", "label": "Won" }
]
}
}
},
"createdAt": "2027-10-04T14:18:00.000Z",
"state": "pending",
"meta": {
"example": "LLM thread id"
},
"gthLink": "https://app.gotohuman.com/accounts/abFMvLv4HafQymWxKDAov/inbox/agents/agent123456abcdef/reviews/123456abcdef"
}
{
"accountId": "abFMvLv4HafQymWxKDAov",
"reviewId": "123456abcdef",
"agentId": "agent123456abcdef",
"sessionId": "session789abcdef",
"formId": "123456abcdef",
"formName": "Review AI Draft",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 42000,
"stage": "negotiation",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
},
"createdAt": "2027-10-04T14:18:00.000Z",
"state": "responded",
"reviewResult": {
"response": "approved",
"respondingUser": "[email protected]",
"respondingUserId": "uid_abc123",
"respondedAt": "2027-10-05T14:48:00.000Z",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 45000,
"stage": "proposal",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
}
},
"fileCache": {
"https://files.example.com/hero.png": "https://cdn1.gotohuman.com/..."
},
"meta": {
"example": "LLM thread id"
},
"gthLink": "https://app.gotohuman.com/accounts/abFMvLv4HafQymWxKDAov/inbox/agents/agent123456abcdef/reviews/123456abcdef",
"webhookDeliveryId": "whd_agent_abc123",
"toolWebhookDeliveryId": "whd_tool_def456"
}
Reviews
Fetch review
Fetch a pending or completed review by ID.
GET
/
reviews
/
{reviewId}
curl --request GET \
--url https://api.gotohuman.com/reviews/123456abcdef \
--header 'x-api-key: YOUR_API_KEY'
{
"accountId": "abFMvLv4HafQymWxKDAov",
"reviewId": "123456abcdef",
"agentId": "agent123456abcdef",
"sessionId": "session789abcdef",
"formId": "123456abcdef",
"formName": "Review AI Draft",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 42000,
"stage": "proposal",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
},
"config": {
"fields": {
"stageSelect": {
"options": [
{ "id": "proposal", "label": "Proposal" },
{ "id": "negotiation", "label": "Negotiation" },
{ "id": "won", "label": "Won" }
]
}
}
},
"createdAt": "2027-10-04T14:18:00.000Z",
"state": "pending",
"meta": {
"example": "LLM thread id"
},
"gthLink": "https://app.gotohuman.com/accounts/abFMvLv4HafQymWxKDAov/inbox/agents/agent123456abcdef/reviews/123456abcdef"
}
{
"accountId": "abFMvLv4HafQymWxKDAov",
"reviewId": "123456abcdef",
"agentId": "agent123456abcdef",
"sessionId": "session789abcdef",
"formId": "123456abcdef",
"formName": "Review AI Draft",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 42000,
"stage": "negotiation",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
},
"createdAt": "2027-10-04T14:18:00.000Z",
"state": "responded",
"reviewResult": {
"response": "approved",
"respondingUser": "[email protected]",
"respondingUserId": "uid_abc123",
"respondedAt": "2027-10-05T14:48:00.000Z",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 45000,
"stage": "proposal",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
}
},
"fileCache": {
"https://files.example.com/hero.png": "https://cdn1.gotohuman.com/..."
},
"meta": {
"example": "LLM thread id"
},
"gthLink": "https://app.gotohuman.com/accounts/abFMvLv4HafQymWxKDAov/inbox/agents/agent123456abcdef/reviews/123456abcdef",
"webhookDeliveryId": "whd_agent_abc123",
"toolWebhookDeliveryId": "whd_tool_def456"
}
See Introduction for the base URL and authentication.
Path Parameters
string
required
The ID of the review.
curl --request GET \
--url https://api.gotohuman.com/reviews/123456abcdef \
--header 'x-api-key: YOUR_API_KEY'
Response
{
"accountId": "abFMvLv4HafQymWxKDAov",
"reviewId": "123456abcdef",
"agentId": "agent123456abcdef",
"sessionId": "session789abcdef",
"formId": "123456abcdef",
"formName": "Review AI Draft",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 42000,
"stage": "proposal",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
},
"config": {
"fields": {
"stageSelect": {
"options": [
{ "id": "proposal", "label": "Proposal" },
{ "id": "negotiation", "label": "Negotiation" },
{ "id": "won", "label": "Won" }
]
}
}
},
"createdAt": "2027-10-04T14:18:00.000Z",
"state": "pending",
"meta": {
"example": "LLM thread id"
},
"gthLink": "https://app.gotohuman.com/accounts/abFMvLv4HafQymWxKDAov/inbox/agents/agent123456abcdef/reviews/123456abcdef"
}
{
"accountId": "abFMvLv4HafQymWxKDAov",
"reviewId": "123456abcdef",
"agentId": "agent123456abcdef",
"sessionId": "session789abcdef",
"formId": "123456abcdef",
"formName": "Review AI Draft",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 42000,
"stage": "negotiation",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
},
"createdAt": "2027-10-04T14:18:00.000Z",
"state": "responded",
"reviewResult": {
"response": "approved",
"respondingUser": "[email protected]",
"respondingUserId": "uid_abc123",
"respondedAt": "2027-10-05T14:48:00.000Z",
"data": {
"crmUpdate": {
"entryId": "123456abcdef",
"amount": 45000,
"stage": "proposal",
"contact": {
"name": "John Doe",
"email": "[email protected]",
"phone": "+1234567890"
}
}
}
},
"fileCache": {
"https://files.example.com/hero.png": "https://cdn1.gotohuman.com/..."
},
"meta": {
"example": "LLM thread id"
},
"gthLink": "https://app.gotohuman.com/accounts/abFMvLv4HafQymWxKDAov/inbox/agents/agent123456abcdef/reviews/123456abcdef",
"webhookDeliveryId": "whd_agent_abc123",
"toolWebhookDeliveryId": "whd_tool_def456"
}
string
ID of the account that owns the review.
string
ID of the review.
string
Session or workflow run this review belongs to.
string
ID of the review type.
string
Name of the review type.
object
Data sent with the review request. Same shape as the request
data.object
Dynamic field configuration sent with the request, when you included
config.string
Review status.
pending while waiting for a reviewer, responded after submission.object
Included when
state is responded.Show properties
Show properties
object
Map of original media URLs to CDN URLs. See Images and videos.
object
Any
meta you sent with the request.string
Link to open the review in gotoHuman.
string
ID of the agent webhook delivery for this completion. Fetch it with Fetch delivery.